services:
  caddy:
    image: caddy:2-alpine
    restart: unless-stopped
    ports:
      - 8075:80
      - 8043:443
    volumes:
      - ./Caddyfile:/etc/caddy/Caddyfile
      - ./:/usr/share/caddy
      - caddy_data:/data
      - caddy_config:/config
volumes:
  caddy_data: null
  caddy_config: null
networks: {}
